Jump to content
limetech

Unraid OS version 6.7.2 available

141 posts in this topic Last Reply

Recommended Posts

It could be an option to add a check to the Update Assistant from the Fix Common Problems Plugin hat community tool already supports plugin compatibility.
 
No, let's be honest here, the end user needs to take some responsibility with this one.

LimeTech publishes an update, user knows that they're using an Nvidia or DVB build then you got to wait till it's done until you upgrade. As soon as I build them I post in the support thread so set up an email alert.

Why do we need to do more and more work to essentially spoon feed?

Come on guys, really?

Sent from my Mi A1 using Tapatalk

Share this post


Link to post
3 hours ago, Wisnaeme said:

Not sure if this is new, but the logging is not currently reflecting the selected Timezone.
image.png.179a535f9c36e0025b7da81a12c75a8e.png

I have exactly the same timezone set on my system and the logging IS reflecting the setting.   Not sure why yours should be any different.   If you supply the diagnostics zip file (obtained via Tools >> Diagnostics) then someone might be able to suggest a reason.

Share this post


Link to post
5 minutes ago, CHBMB said:

No, let's be honest here, the end user needs to take some responsibility with this one.

I can see a situation where someone has the false impression that plugins are curated by limetech, like the apple ecosystem, instead of user managed, like android.

 

Perhaps make the warning more prominent that you are stepping off the limetech reservation when you install plugins?

Share this post


Link to post
I can see a situation where someone has the false impression that plugins are curated by limetech, like the apple ecosystem, instead of user managed, like android.
 
Perhaps make the warning more prominent that you are stepping off the limetech reservation when you install plugins?
It's got a big LinuxServer logo at the top of the thread and lots of red warnings, and the first two posts go into some detail about how it works. The plugin is installed from Community Applications, with an author of LinuxServer.io

How much clearer can we make it?


Sent from my Mi A1 using Tapatalk

  • Like 2
  • Upvote 2

Share this post


Link to post
1 hour ago, CHBMB said:

It's got a big LinuxServer logo at the top of the thread and lots of red warnings, and the first two posts go into some detail about how it works. The plugin is installed from Community Applications, with an author of LinuxServer.io

How much clearer can we make it?


Sent from my Mi A1 using Tapatalk
 

I found it very clear. 

Share this post


Link to post
Posted (edited)

Well crap... went from 6.7.0 to 6.7.2 and got a ARRAY-Stale configuration...

 

rebooted twice no dice, just turned it off. at work do not have time at the moment.

 

Seems like its no seeing the lsi card and expander card to see the disks..

 

Sad day for me

 

 

 

Booted it tonight and it booted just fine, so i don't know

 

6.7.2.PNG

Edited by ijuarez
solved

Share this post


Link to post

Up from 6.7.1. No issue to report. Even my dual NIC doesn't have the same DNS problem.

Share this post


Link to post
2 hours ago, CHBMB said:

How much clearer can we make it?

I'm not saying it's on you to make it clearer. I just tried out a test workflow. I went to the apps tab, typed in nvidia, installed the plugin, which says "unraid nvidia", and installed the build. At no time in the process were there any warnings that limetech wasn't involved, in fact, it says unraid right on the plugin.

 

Yes, it also says LSIO, but from a new user perspective, that's not a warning. There was no requirement to go to the support thread to see all the big warnings.

 

The apps tab makes it very easy to install mindlessly. That's a good thing when you know what you are doing, and are active in the community forums. Not so good if you are a mindless newbie following some random reddit post.

 

I don't know if there is a solution, without crippling unraid. We either get to play and possibly break things, or it's locked down to keep people from hurting themselves.

 

Maybe the CA installer needs to have another level of protection for some apps, like maybe an install code in the first post of the support thread.

 

I'm just trying to see things from a new user perspective, just diving in and getting full access to all these wonderful toys. Do we tell the kid the stove could be hot before they touch it? We know they will touch it anyway, so why bother? Chances are, they won't get burned, the stove is only hot occasionally.

Share this post


Link to post
3 hours ago, jonathanm said:

I can see a situation where someone has the false impression that plugins are curated by limetech, like the apple ecosystem, instead of user managed, like android.

None of this little discussion belongs in this thread, but it is what it is.  But, every single user of CA has had to acknowledge this:

image.png.fff12eb65d89602dc81447b3d5e37f49.png

  • Like 1
  • Upvote 1

Share this post


Link to post
Posted (edited)

I upgraded to 6.7.1 and the web page is not displaying correctly.  It was just find before the upgrade.  Is there a fix for this?Capture.thumb.PNG.da9db063ed21d39ef2e8b2b6d57ab4d1.PNG

Edited by JeffTerrell

Share this post


Link to post
2 minutes ago, Squid said:

But, every single user of CA has had to acknowledge this:

Yep. And I'm betting it's read just as often as any EULA. You can't fix some people.

Share this post


Link to post
3 minutes ago, JeffTerrell said:

I upgraded to 6.7.1 and the web page is not displaying correctly.  It was just find before the upgrade.  Is there a fix for this?

Screen shot?

Share this post


Link to post
Posted (edited)
11 hours ago, AgentXXL said:

For those of us running unRAID with the NVidia drivers, and I expect that's a fair number of users, perhaps update checks could verify that a build with the NVidia drivers is available before unRAID tells us that a new version is available? I just had to roll back as my Plex docker and my VM rely on the GPU passthrough and the NVidia drivers/tools. My Plex docker wouldn't even start with 6.7.2 because of the missing NVidia components.

 

EDIT: it's actually worse than that... my install is hosed. The console at the server reports a 'segmentation fault'.  I've done a shutdown after logging in at the console and have backed up my /config folder. About to use the unRAID creation tool to re-do the flash drive with a clean 6.7.1 and then restore some of my config including my Pro.key file. I noticed that network config was definitely corrupt so I'll replace that with one from last night's backup of 6.7.1. Hopefully nothing much else is wrong.

 

EDIT 2: And now it's booting and the webgui is available, but it's started another parity check. 24 hrs to go.... :(

 

EDIT 3: Had to stop the parity check as I had to reboot after re-installing the unRAID NVidia build for 6.7.1. It didn't restart the parity check after rebooting, but I suspect I'll go ahead and start a manual parity check to ensure all is OK. At least I'm back to what appears to be a functional 6.7.1 with NVidia extensions available and my Plex docker started fine. The only files I replaced from my previous flash config were network.cfg and ident.cfg.

 

 

The only change from 6.7.1 to 6.7.2 that could affect this is kernel patch release from 4.19.55 to 4.19.56, and it doesn't appear like anything in that change log would account for suddenly nvidia driver not working.  A possibility is usb boot flash corruption.

 

Edit: sorry should've realized what the plugin was doing.  Yes that has to be separately updated.

 

Nothing can be diagnosed unless you post diagnostics (Tools/Diagnostics) captured at the time the issue presents itself.

 

Edit: above still applies (needing diags) to troubleshoot other issues.

Edited by limetech
brainfart

Share this post


Link to post
17 minutes ago, jonathanm said:

Yep. And I'm betting it's read just as often as any EULA. You can't fix some people.

The world's not perfect and we try not to break things but sometimes it happens, eg when I broke the Disk Location plugin - who would've thought a plugin out there used sqlite?  Anyway this particular issue (nvidia driver) is probably not related to any code that got updated.

Share this post


Link to post
30 minutes ago, JeffTerrell said:

I upgraded to 6.7.1 and the web page is not displaying correctly.  It was just find before the upgrade.  Is there a fix for this?

What version did you upgrade from?  If there is a dynamix.plg file within /config/plugins on the flash drive, then delete it and reboot.  Also try clearing out your browser's cached files in its history

Share this post


Link to post
 
The only change from 6.7.1 to 6.7.2 that could affect this is kernel patch release from 4.19.55 to 4.19.56, and it doesn't appear like anything in that change log would account for suddenly nvidia driver not working.  A possibility is usb boot flash corruption.
 
Nothing can be diagnosed unless you post diagnostics (Tools/Diagnostics) captured at the time the issue presents itself.
The Nvidia drivers weren't working as I haven't built it yet.....



Sent from my Mi A1 using Tapatalk

Share this post


Link to post
1 hour ago, Squid said:

What version did you upgrade from?  If there is a dynamix.plg file within /config/plugins on the flash drive, then delete it and reboot.  Also try clearing out your browser's cached files in its history

I upgraded from 6.7 to 6.7.1 to 6.7.2.  When I upgraded to 6.7.1 is where the problem began.  I thought 6.7.2 was a fix but it wasn't.

Share this post


Link to post
1 hour ago, Squid said:

What version did you upgrade from?  If there is a dynamix.plg file within /config/plugins on the flash drive, then delete it and reboot.  Also try clearing out your browser's cached files in its history

I do not see a dynamix.plg file within /config/plugins.  

Share this post


Link to post
9 minutes ago, JeffTerrell said:

I do not see a dynamix.plg file within /config/plugins.  

Try clearing your browser cache.

Share this post


Link to post
1 minute ago, JeffTerrell said:

Cleared the cache and same results

Restart in safe mode

Share this post


Link to post
5 minutes ago, Squid said:

Restart in safe mode

OK this is very strange.  I can't  view it in Chrome, Firefox or IE.  However it displays correctly in Opera and Microsoft Edge.  Oh I am running Windows 10 Pro.

Share this post


Link to post
20 minutes ago, Squid said:

Restart in safe mode

Although the main page looks correct in Opera and Edge, I am missing my plugins and docker apps.

Share this post


Link to post
7 minutes ago, JeffTerrell said:

Although the main page looks correct in Opera and Edge, I am missing my plugins and docker apps.

That's expected if running in 'safe mode'.  This is a browser cache issue.  Not sure why clearing your browser cache didn't fix it.

Share this post


Link to post
21 hours ago, Dazza1 said:

Is it only me every single upgrade from 6.7.0 has seen my server not connect to the App Store  or pull any update it keeps banging on about DNS, it set to static on the router and on the server but when ever I upgrade it doesn’t work, when I down grade it works but I think I’m truly stuffed now as I can’t see the previous OS to downgrade now, so server is a massive paper weight 🤦🏾‍♂️ Nics are built into the board which has 3 not all three are being used though help please.

After upgrading to 6.7.0, I had lost connectivity. I checked in network settings, and there was no default route. You may want to check there and add one if it is missing.

Share this post


Link to post

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.